Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Constants

    java.lang.Object
      com.ibm.websphere.query.base.Constants

All Implemented Interfaces:
  java.io.Serializable

    public class Constants

extends java.lang.Object
implements java.io.Serializable

This class contains constants used in the query framework.

The main categories are data types, operations, and functions.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ARITHMETIC_OPERATION_ADD`
`static java.lang.String` | `ARITHMETIC_OPERATION_DIVIDE`
`static java.lang.String` | `ARITHMETIC_OPERATION_MULTIPLY`
`static java.lang.String` | `ARITHMETIC_OPERATION_SUBTRACT`
`static int` | `DATATYPE_BIGINT`
`static int` | `DATATYPE_BINARY`
`static int` | `DATATYPE_BIT`
`static int` | `DATATYPE_BLOB`
`static int` | `DATATYPE_CHAR`
`static int` | `DATATYPE_CLOB`
`static int` | `DATATYPE_DATE`
`static int` | `DATATYPE_DECIMAL`
`static int` | `DATATYPE_DOUBLE`
`static int` | `DATATYPE_FLOAT`
`static int` | `DATATYPE_INTEGER`
`static int` | `DATATYPE_LONGVARBINARY`
`static int` | `DATATYPE_LONGVARCHAR`
`static int` | `DATATYPE_NULL`
`static int` | `DATATYPE_NUMERIC`
`static int` | `DATATYPE_OTHER`
`static int` | `DATATYPE_REAL`
`static int` | `DATATYPE_SMALLINT`
`static int` | `DATATYPE_TIME`
`static int` | `DATATYPE_TIME_PDM`
`static int` | `DATATYPE_TIMESTAMP`
`static int` | `DATATYPE_TINYINT`
`static int` | `DATATYPE_UNKNOWN`
`static int` | `DATATYPE_VARBINARY`
`static int` | `DATATYPE_VARCHAR`
`static java.lang.Integer` | `DT_BIGINT`
`static java.lang.Integer` | `DT_BINARY`
`static java.lang.Integer` | `DT_BIT`
`static java.lang.Integer` | `DT_BLOB`
`static java.lang.Integer` | `DT_CHAR`
`static java.lang.Integer` | `DT_CLOB`
`static java.lang.Integer` | `DT_DATE`
`static java.lang.Integer` | `DT_DECIMAL`
`static java.lang.Integer` | `DT_DOUBLE`
`static java.lang.Integer` | `DT_FLOAT`
`static java.lang.Integer` | `DT_INTEGER`
`static java.lang.Integer` | `DT_LONGVARBINARY`
`static java.lang.Integer` | `DT_LONGVARCHAR`
`static java.lang.Integer` | `DT_NULL`
`static java.lang.Integer` | `DT_NUMERIC`
`static java.lang.Integer` | `DT_OTHER`
`static java.lang.Integer` | `DT_REAL`
`static java.lang.Integer` | `DT_SMALLINT`
`static java.lang.Integer` | `DT_TIME`
`static java.lang.Integer` | `DT_TIME_PDM`
`static java.lang.Integer` | `DT_TIMESTAMP`
`static java.lang.Integer` | `DT_TINYINT`
`static java.lang.Integer` | `DT_UNKNOWN`
`static java.lang.Integer` | `DT_VARBINARY`
`static java.lang.Integer` | `DT_VARCHAR`
`static java.lang.String` | `FUNCTION_ABS`
`static java.lang.String` | `FUNCTION_AVG`
`static java.lang.String` | `FUNCTION_DATE`
`static java.lang.String` | `FUNCTION_DAY`
`static java.lang.String` | `FUNCTION_LEFT`
`static java.lang.String` | `FUNCTION_LOWER`
`static java.lang.String` | `FUNCTION_MAX`
`static java.lang.String` | `FUNCTION_MIN`
`static java.lang.String` | `FUNCTION_MOD`
`static java.lang.String` | `FUNCTION_RIGHT`
`static java.lang.String` | `FUNCTION_SUM`
`static java.lang.String` | `FUNCTION_UPPER`
`static Operator` | `OP_AND`
`static Operator` | `OP_ASC`
`static Operator` | `OP_BTW`
`static Operator` | `OP_DES`
`static Operator` | `OP_EQ`
`static Operator` | `OP_GEQ`
`static Operator` | `OP_GT`
`static Operator` | `OP_IN`
`static Operator` | `OP_IS`
`static Operator` | `OP_ISNOT`
`static Operator` | `OP_LEQ`
`static Operator` | `OP_LIKE`
`static Operator` | `OP_LT`
`static Operator` | `OP_NEQ`
`static Operator` | `OP_NOT_LIKE`
`static Operator` | `OP_OR`
`static java.lang.String` | `OPERATOR_AND`
`static java.lang.String` | `OPERATOR_ASC`
`static java.lang.String` | `OPERATOR_BTW`
`static java.lang.String` | `OPERATOR_DES`
`static java.lang.String` | `OPERATOR_EQ`
`static java.lang.String` | `OPERATOR_GEQ`
`static java.lang.String` | `OPERATOR_GT`
`static java.lang.String` | `OPERATOR_IN`
`static java.lang.String` | `OPERATOR_IS`
`static java.lang.String` | `OPERATOR_ISN`
`static java.lang.String` | `OPERATOR_LEQ`
`static java.lang.String` | `OPERATOR_LIKE`
`static java.lang.String` | `OPERATOR_LT`
`static java.lang.String` | `OPERATOR_MVALL`
`static java.lang.String` | `OPERATOR_MVANY`
`static java.lang.String` | `OPERATOR_NEQ`
`static java.lang.String` | `OPERATOR_NOT_LIKE`
`static java.lang.String` | `OPERATOR_OR`
`static java.lang.String` | `OPERATOR_STARTSWITH`
`static java.lang.String` | `UUID_PREFIX`
`static Value` | `VALUE_EMPTY`
`static Value` | `VALUE_NULL`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATATYPE_UNKNOWN

    public static final int DATATYPE_UNKNOWN

See Also:
  Constant Field Values

### DATATYPE_LONGVARCHAR

    public static final int DATATYPE_LONGVARCHAR

See Also:
  Constant Field Values

### DATATYPE_BINARY

    public static final int DATATYPE_BINARY

See Also:
  Constant Field Values

### DATATYPE_VARBINARY

    public static final int DATATYPE_VARBINARY

See Also:
  Constant Field Values

### DATATYPE_LONGVARBINARY

    public static final int DATATYPE_LONGVARBINARY

See Also:
  Constant Field Values

### DATATYPE_BIGINT

    public static final int DATATYPE_BIGINT

See Also:
  Constant Field Values

### DATATYPE_TINYINT

    public static final int DATATYPE_TINYINT

See Also:
  Constant Field Values

### DATATYPE_BIT

    public static final int DATATYPE_BIT

See Also:
  Constant Field Values

### DATATYPE_NULL

    public static final int DATATYPE_NULL

See Also:
  Constant Field Values

### DATATYPE_CHAR

    public static final int DATATYPE_CHAR

See Also:
  Constant Field Values

### DATATYPE_NUMERIC

    public static final int DATATYPE_NUMERIC

See Also:
  Constant Field Values

### DATATYPE_DECIMAL

    public static final int DATATYPE_DECIMAL

See Also:
  Constant Field Values

### DATATYPE_INTEGER

    public static final int DATATYPE_INTEGER

See Also:
  Constant Field Values

### DATATYPE_SMALLINT

    public static final int DATATYPE_SMALLINT

See Also:
  Constant Field Values

### DATATYPE_FLOAT

    public static final int DATATYPE_FLOAT

See Also:
  Constant Field Values

### DATATYPE_REAL

    public static final int DATATYPE_REAL

See Also:
  Constant Field Values

### DATATYPE_DOUBLE

    public static final int DATATYPE_DOUBLE

See Also:
  Constant Field Values

### DATATYPE_VARCHAR

    public static final int DATATYPE_VARCHAR

See Also:
  Constant Field Values

### DATATYPE_DATE

    public static final int DATATYPE_DATE

See Also:
  Constant Field Values

### DATATYPE_TIME

    public static final int DATATYPE_TIME

See Also:
  Constant Field Values

### DATATYPE_TIME_PDM

    public static final int DATATYPE_TIME_PDM

See Also:
  Constant Field Values

### DATATYPE_TIMESTAMP

    public static final int DATATYPE_TIMESTAMP

See Also:
  Constant Field Values

### DATATYPE_BLOB

    public static final int DATATYPE_BLOB

See Also:
  Constant Field Values

### DATATYPE_CLOB

    public static final int DATATYPE_CLOB

See Also:
  Constant Field Values

### DATATYPE_OTHER

    public static final int DATATYPE_OTHER

See Also:
  Constant Field Values

### DT_UNKNOWN

    public static final java.lang.Integer DT_UNKNOWN

### DT_LONGVARCHAR

    public static final java.lang.Integer DT_LONGVARCHAR

### DT_BINARY

    public static final java.lang.Integer DT_BINARY

### DT_VARBINARY

    public static final java.lang.Integer DT_VARBINARY

### DT_LONGVARBINARY

    public static final java.lang.Integer DT_LONGVARBINARY

### DT_BIGINT

    public static final java.lang.Integer DT_BIGINT

### DT_TINYINT

    public static final java.lang.Integer DT_TINYINT

### DT_BIT

    public static final java.lang.Integer DT_BIT

### DT_NULL

    public static final java.lang.Integer DT_NULL

### DT_CHAR

    public static final java.lang.Integer DT_CHAR

### DT_NUMERIC

    public static final java.lang.Integer DT_NUMERIC

### DT_DECIMAL

    public static final java.lang.Integer DT_DECIMAL

### DT_INTEGER

    public static final java.lang.Integer DT_INTEGER

### DT_SMALLINT

    public static final java.lang.Integer DT_SMALLINT

### DT_FLOAT

    public static final java.lang.Integer DT_FLOAT

### DT_REAL

    public static final java.lang.Integer DT_REAL

### DT_DOUBLE

    public static final java.lang.Integer DT_DOUBLE

### DT_VARCHAR

    public static final java.lang.Integer DT_VARCHAR

### DT_DATE

    public static final java.lang.Integer DT_DATE

### DT_TIME

    public static final java.lang.Integer DT_TIME

### DT_TIME_PDM

    public static final java.lang.Integer DT_TIME_PDM

### DT_TIMESTAMP

    public static final java.lang.Integer DT_TIMESTAMP

### DT_BLOB

    public static final java.lang.Integer DT_BLOB

### DT_CLOB

    public static final java.lang.Integer DT_CLOB

### DT_OTHER

    public static final java.lang.Integer DT_OTHER

### OPERATOR_EQ

    public static final java.lang.String OPERATOR_EQ

See Also:
  Constant Field Values

### OPERATOR_NEQ

    public static final java.lang.String OPERATOR_NEQ

See Also:
  Constant Field Values

### OPERATOR_GT

    public static final java.lang.String OPERATOR_GT

See Also:
  Constant Field Values

### OPERATOR_GEQ

    public static final java.lang.String OPERATOR_GEQ

See Also:
  Constant Field Values

### OPERATOR_LT

    public static final java.lang.String OPERATOR_LT

See Also:
  Constant Field Values

### OPERATOR_LEQ

    public static final java.lang.String OPERATOR_LEQ

See Also:
  Constant Field Values

### OPERATOR_BTW

    public static final java.lang.String OPERATOR_BTW

See Also:
  Constant Field Values

### OPERATOR_IN

    public static final java.lang.String OPERATOR_IN

See Also:
  Constant Field Values

### OPERATOR_LIKE

    public static final java.lang.String OPERATOR_LIKE

See Also:
  Constant Field Values

### OPERATOR_NOT_LIKE

    public static final java.lang.String OPERATOR_NOT_LIKE

See Also:
  Constant Field Values

### OPERATOR_IS

    public static final java.lang.String OPERATOR_IS

See Also:
  Constant Field Values

### OPERATOR_ISN

    public static final java.lang.String OPERATOR_ISN

See Also:
  Constant Field Values

### OPERATOR_STARTSWITH

    public static final java.lang.String OPERATOR_STARTSWITH

See Also:
  Constant Field Values

### OPERATOR_MVALL

    public static final java.lang.String OPERATOR_MVALL

See Also:
  Constant Field Values

### OPERATOR_MVANY

    public static final java.lang.String OPERATOR_MVANY

See Also:
  Constant Field Values

### OPERATOR_AND

    public static final java.lang.String OPERATOR_AND

See Also:
  Constant Field Values

### OPERATOR_OR

    public static final java.lang.String OPERATOR_OR

See Also:
  Constant Field Values

### OPERATOR_ASC

    public static final java.lang.String OPERATOR_ASC

See Also:
  Constant Field Values

### OPERATOR_DES

    public static final java.lang.String OPERATOR_DES

See Also:
  Constant Field Values

### OP_ASC

    public static final Operator OP_ASC

### OP_DES

    public static final Operator OP_DES

### OP_LIKE

    public static final Operator OP_LIKE

### OP_NOT_LIKE

    public static final Operator OP_NOT_LIKE

### OP_EQ

    public static final Operator OP_EQ

### OP_NEQ

    public static final Operator OP_NEQ

### OP_GT

    public static final Operator OP_GT

### OP_LT

    public static final Operator OP_LT

### OP_GEQ

    public static final Operator OP_GEQ

### OP_LEQ

    public static final Operator OP_LEQ

### OP_AND

    public static final Operator OP_AND

### OP_OR

    public static final Operator OP_OR

### OP_IS

    public static final Operator OP_IS

### OP_ISNOT

    public static final Operator OP_ISNOT

### OP_IN

    public static final Operator OP_IN

### OP_BTW

    public static final Operator OP_BTW

### FUNCTION_UPPER

    public static final java.lang.String FUNCTION_UPPER

See Also:
  Constant Field Values

### FUNCTION_LOWER

    public static final java.lang.String FUNCTION_LOWER

See Also:
  Constant Field Values

### FUNCTION_RIGHT

    public static final java.lang.String FUNCTION_RIGHT

See Also:
  Constant Field Values

### FUNCTION_LEFT

    public static final java.lang.String FUNCTION_LEFT

See Also:
  Constant Field Values

### FUNCTION_DATE

    public static final java.lang.String FUNCTION_DATE

See Also:
  Constant Field Values

### FUNCTION_DAY

    public static final java.lang.String FUNCTION_DAY

See Also:
  Constant Field Values

### FUNCTION_ABS

    public static final java.lang.String FUNCTION_ABS

See Also:
  Constant Field Values

### FUNCTION_AVG

    public static final java.lang.String FUNCTION_AVG

See Also:
  Constant Field Values

### FUNCTION_SUM

    public static final java.lang.String FUNCTION_SUM

See Also:
  Constant Field Values

### FUNCTION_MAX

    public static final java.lang.String FUNCTION_MAX

See Also:
  Constant Field Values

### FUNCTION_MIN

    public static final java.lang.String FUNCTION_MIN

See Also:
  Constant Field Values

### FUNCTION_MOD

    public static final java.lang.String FUNCTION_MOD

See Also:
  Constant Field Values

### ARITHMETIC_OPERATION_ADD

    public static final java.lang.String ARITHMETIC_OPERATION_ADD

See Also:
  Constant Field Values

### ARITHMETIC_OPERATION_SUBTRACT

    public static final java.lang.String ARITHMETIC_OPERATION_SUBTRACT

See Also:
  Constant Field Values

### ARITHMETIC_OPERATION_MULTIPLY

    public static final java.lang.String ARITHMETIC_OPERATION_MULTIPLY

See Also:
  Constant Field Values

### ARITHMETIC_OPERATION_DIVIDE

    public static final java.lang.String ARITHMETIC_OPERATION_DIVIDE

See Also:
  Constant Field Values

### VALUE_NULL

    public static final Value VALUE_NULL

### VALUE_EMPTY

    public static final Value VALUE_EMPTY

### UUID_PREFIX

    public static final java.lang.String UUID_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD